> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post voicesearch



## OpenAPI

````yaml /openapi.json post /voice/search
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /voice/search:
    post:
      operationId: voice.search
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  minLength: 1
                agentId:
                  type: string
                dateFrom:
                  type: string
                dateTo:
                  type: string
                limit:
                  default: 10
                  type: number
                  minimum: 1
                  maximum: 50
                threshold:
                  default: 0.3
                  type: number
                  minimum: 0
                  maximum: 1
              required:
                - query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        callId:
                          type: string
                        matchedText:
                          type: string
                        speaker:
                          type: string
                        startTime:
                          type: number
                        endTime:
                          type: number
                        similarity:
                          type: number
                        chunkType:
                          type: string
                      required:
                        - callId
                        - matchedText
                        - speaker
                        - startTime
                        - endTime
                        - similarity
                        - chunkType
                required:
                  - results
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.